Bug 75706 - usb mouse not working after kernel compile
usb mouse not working after kernel compile
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-11 04:23 EDT by Ronny Bremer
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-17 18:03:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ronny Bremer 2002-10-11 04:23:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Logitech USB mouse detected and usable with the shipped kernel by RedHat 2.4.18-14
I tried to compile my own kernel (with the config file for i686 machines) and I
changed only one option (SCSI LUN on), recompiled and installed.

Machine boots up, USB detects the mouse and loads the hid driver, X starts fine,
with mouse pointer shown, but I can't move the mouse. Same in gpm.

Switched back to old kernel, all fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. attach Logitech USB mouse
2. start with vanilla 2.4.18-14 kernel
3. mouse works
4. install kernel-source package, copy i686 config file to
5. make mrproper dep bzImage install modules modules_install
6. reboot with custom kernel

Actual Results:  mouse works with vanilla kernel
mouse does not work with compiled kernel

Expected Results:  mouse should work with both kernels ;)

Additional info:
Comment 1 Arjan van de Ven 2002-10-11 04:30:25 EDT
careful: make mrproper wipes your .config!
Comment 2 Ronny Bremer 2002-10-11 04:38:53 EDT

I will try again ......

Thanks, Ron
Comment 3 Arjan van de Ven 2002-10-11 05:47:34 EDT
o btw the scsi lun scanning thing is a module option, no need to recompile your
kernel for that
Comment 4 Ronny Bremer 2002-10-11 05:52:04 EDT
kernel still compiles, I will try as soon as its finished

re: module option, I assume you mean "max_lun=255" to mod_sg. I thought this is
only for advanced server, stupid me. I will try that! Can I specify it on the
linux boot line?

Comment 5 Arjan van de Ven 2002-10-11 06:00:54 EDT
scsi is a module so the option (I don't think it's called max_lun) needs to be a
module option
Comment 6 Ronny Bremer 2002-10-16 12:13:39 EDT
ok, thanks for the tip with the modules options, max_scsi_luns did the trick

nevertheless, I did the following with the kernel:
cd /usr/src/linux-2.4
make mrproper
cp configs/*i686.config .config
make dep bzImage install modules modules_install

no errors, created custom kernel


mouse gets detected but doesnt work :/

Comment 7 Bob Cochran 2002-11-17 19:13:37 EST
I have this same problem also. My USB Microsoft Intellimouse doesn't work,
exactly as described above, if I recompile the kernel.I just did this with the
recently installed 2.4.18-18.8.0 kernel, changing only the processor option
(from Pentium II to Pentium III.) The mouse doesn't work after. This has been
true of every kernel bundled with Red Hat 8.0 but not of 7.3.

Bob Cochran
Greenbelt, Maryland, USA
Comment 8 Arjan van de Ven 2002-11-18 03:45:21 EST
which exact .config did you use ?
I mean, the configs/ directory contains the exact configs we use for the rpms so
I can't explain why an exact recompile wouldn't work, other than that 
rbremer@future-gate.com forgot "make oldconfig" (or menuconfig or xconfig)
Comment 9 Ronny Bremer 2002-11-18 04:04:34 EST
I was using the kernel-2.4.18-i686.config, and yes, looks like I did forget
"make oldconfig". I thought this is only neccessary, if you upgrade from one
kernel release to another and you want to keep your settings and fill all new
settings with defaults. So, if your config file is complete, then it should not
cause any difference, should it?

Comment 10 Arjan van de Ven 2002-11-18 04:07:11 EST
yes it would ;(
make mrproper wipes out all the settings RH ever did so what you compiled was
effectively a kernel with everything set to it's default values, which seems to
exclude mouse support :(
Comment 11 Ronny Bremer 2002-11-18 04:28:18 EST
I agree, but if you look at my comment from Oct 16, I did copy the config file
after performing make mrproper.

Comment 12 Arjan van de Ven 2002-11-18 04:36:46 EST
but just copying the config file is not enough :(
make oldconfig (or the other config targets) transform the .config file to
something compiler/makefile readable 
Comment 13 Ronny Bremer 2002-11-18 05:13:44 EST
ok :) I will make another attempt like this:

make mrproper
cp configs/kernel-2.4.18-i686.config .config
make oldconfig dep bzImage install modules modules_install

results will follow in a bit :)

Thanks so far!

Comment 14 Reid 2002-12-17 17:21:35 EST
Has anyone got there kernel recompiled successfully so that the usb mouse will
work.  I want compile a kernel with ntfs support, and I can get the kernel to
recompile but the usb mouse still doesn't work :(  Any pointers would be greatly
Comment 15 Ben LaHaise 2002-12-17 18:03:51 EST
This wasn't a bug, closing.
Comment 16 Reid 2002-12-17 19:10:57 EST
I know this wasn't a bug, however, if I wanted to compile one thing in earlier
redhat releases I did it without any problems.  Why doesn't it work now?

Note You need to log in before you can comment on or make changes to this bug.